<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button slot="start"></ion-back-button>
    </ion-buttons>

    <ion-title>Statistics</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-row>
    <ion-col size-md="10" offset-md="1">
      <ion-card>
        <ion-card-header>
          <ion-card-title>
            Filter
          </ion-card-title>
        </ion-card-header>
        <ion-card-content>

          <ion-list>
            <ion-item class="ion-no-padding">
              <ion-label position="fixed">From:</ion-label>
              <ion-datetime #beginDateInput (ionChange)="dateSelectionChanged();" value="2021-09-15"></ion-datetime>
            </ion-item>
            <ion-item class="ion-no-padding">
              <ion-label position="fixed">To:</ion-label>
              <ion-datetime #endDateInput (ionChange)="dateSelectionChanged();" value="2021-09-15"></ion-datetime>
            </ion-item>
            <ion-item>
              <ion-button (click)="thisMonth();">
                This month
              </ion-button>
              <ion-button (click)="lastMonth();">
                Last month
              </ion-button>
              <ion-button (click)="thisYear();">
                This year
              </ion-button>
              <ion-button (click)="lastYear();">
                Last year
              </ion-button>
              <ion-button (click)="allTime();">
                All time
              </ion-button>
            </ion-item>
          </ion-list>
        </ion-card-content>
      </ion-card>
    </ion-col>
  </ion-row>

  <ion-row>
    <ion-col size-md="10" offset-md="1">
      <app-deficit-display #deficitDisplay></app-deficit-display>
    </ion-col>
  </ion-row>

  <ion-row>
    <ion-col size-md="10" offset-md="1">
      <ion-card>
        <div style="width: 100%; height:600px;">
          <canvas id="sankeyCanvas"></canvas>
        </div>
        <app-hidden-listing-area #hiddenListingArea>

        </app-hidden-listing-area>
      </ion-card>
    </ion-col>
  </ion-row>

  <ion-row>
    <ion-col size-md="5" offset-md="1">
      <app-tag-group-display></app-tag-group-display>
    </ion-col>
    <ion-col size-md="5" offset-md="0">
      <app-category-statistics></app-category-statistics>
    </ion-col>
  </ion-row>

  <ion-row>
    <ion-col size-md="10" offset-md="1">
      <ion-card>
        <ion-card-header>
          <ion-card-title>
            Entries
          </ion-card-title>
          <ion-searchbar (ionInput)="search($event);" (ionCancel)="search($event);"></ion-searchbar>
        </ion-card-header>

        <ion-card-content id="entries-list" class="ion-no-padding ion-padding-bottom">
          <ion-list>
            <app-entry-list-item #entryListItem *ngFor="let entry of searchEntryList" [entry]=entry [parent]=this [long]=true>
            </app-entry-list-item>
          </ion-list>
        </ion-card-content>
      </ion-card>
    </ion-col>
  </ion-row>


</ion-content>
